/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef WHITELISTMANAGER_H
#define WHITELISTMANAGER_H

#include <QObject>
#include <QJsonObject>

class WhiteListManager : public QObject
{
    Q_OBJECT
public:
    explicit WhiteListManager(QObject *parent = nullptr);

    bool addToWhiteList(const QString &desktopFile, const QString &option);
    bool removeFromWhiteList(const QString &desktopFile, const QString &option);
    bool isExists(const QString &desktopFile, const QString &option);
    QStringList whiteListsOfApp(const QString &desktopFile);

private:
    void initJsonFile();

private:
    const QString m_jsonFile;
    QJsonObject m_jsonObj;
    QJsonObject m_jsonObjTest;
    QStringList m_desktopList;
};

#endif // WHITELISTMANAGER_H
